Types
GET /api/v1/types/items
GET /api/v1/types/items
POST /api/v1/types/items
POST /api/v1/types/items
GET /api/v1/types/items/{id}
GET /api/v1/types/items/{id}
PUT /api/v1/types/items/{id}
PUT /api/v1/types/items/{id}
DELETE /api/v1/types/items/{id}
DELETE /api/v1/types/items/{id}
GET /api/v1/types/items/by-name/{name}
GET /api/v1/types/items/by-name/{name}
PUT /api/v1/types/items/by-name/{name}
PUT /api/v1/types/items/by-name/{name}
GET /api/v1/types/items/by-code/{code}
GET /api/v1/types/items/by-code/{code}
GET /api/v1/types/locations
GET /api/v1/types/locations
POST /api/v1/types/locations
POST /api/v1/types/locations
GET /api/v1/types/locations/{id}
GET /api/v1/types/locations/{id}
PUT /api/v1/types/locations/{id}
PUT /api/v1/types/locations/{id}
DELETE /api/v1/types/locations/{id}
DELETE /api/v1/types/locations/{id}
GET /api/v1/types/locations/by-name/{name}
GET /api/v1/types/locations/by-name/{name}
PUT /api/v1/types/locations/by-name/{name}
PUT /api/v1/types/locations/by-name/{name}
GET /api/v1/types/devices
GET /api/v1/types/devices
POST /api/v1/types/devices
POST /api/v1/types/devices
GET /api/v1/types/devices/{id}
GET /api/v1/types/devices/{id}
PUT /api/v1/types/devices/{id}
PUT /api/v1/types/devices/{id}
DELETE /api/v1/types/devices/{id}
DELETE /api/v1/types/devices/{id}
GET /api/v1/types/devices/by-name/{name}
GET /api/v1/types/devices/by-name/{name}
PUT /api/v1/types/devices/by-name/{name}
PUT /api/v1/types/devices/by-name/{name}